#include <propeller.h>
#include "ws2812.h"

/* led chain */
#define LED_PIN     13
#define LED_COUNT   4

int main(void)
{
    // create an LED driver
    ws2812b driver;
    
    // make sure the driver actually started successfully
    if (!driver.running())
        return 1;

    // 4 Parallax WS2812B Fun Boards
    uint32_t ledColors[LED_COUNT];                      // array to hold the colors of each LED in the chain
    ws2812_Chain leds(LED_PIN, ledColors, LED_COUNT);   // chain object
    
    // start with the outer two LEDs green and the inner two red
    ledColors[0] = COLOR_GREEN;
    ledColors[1] = COLOR_RED;
    ledColors[2] = COLOR_RED;
    ledColors[3] = COLOR_GREEN;
    
    // animate the LED colors
    for (;;) {
    
        // swap the inner and outer colors
        ledColors[0] = ledColors[1];
        ledColors[1] = ledColors[3];
        ledColors[2] = ledColors[3];
        ledColors[3] = ledColors[0];
    
        // update the LED chain
        driver.refresh(leds);
            
        // delay between frames
        waitcnt(CNT + CLKFREQ);
    }
           
    return 0;
}
